| Home | Libraries | People | FAQ | More

## Struct template unary_minus_base

boost::numeric::functional::unary_minus_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Arg, typename EnableIf = void>
    struct unary_minus_base :
      public std::unary_function< Arg, typeof(-lvalue< Arg >())>
    {

      // public member functions
      result_type operator()(Arg &) const;
    };

## Description

### `unary_minus_base` public member functions

1.     result_type operator()(Arg & arg) const;

   Returns: | - arg